package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.RoadshowRequirement;
import com.lightinit.hsdataplatform.entity.RoadshowRequirementExample;
import com.lightinit.hsdataplatform.entity.RoadshowRequirementWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RoadshowRequirementMapper {
    long countByExample(RoadshowRequirementExample example);

    int deleteByExample(RoadshowRequirementExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RoadshowRequirementWithBLOBs record);

    int insertSelective(RoadshowRequirementWithBLOBs record);

    List<RoadshowRequirementWithBLOBs> selectByExampleWithBLOBs(RoadshowRequirementExample example);

    List<RoadshowRequirement> selectByExample(RoadshowRequirementExample example);

    RoadshowRequirementWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RoadshowRequirementWithBLOBs record, @Param("example") RoadshowRequirementExample example);

    int updateByExampleWithBLOBs(@Param("record") RoadshowRequirementWithBLOBs record, @Param("example") RoadshowRequirementExample example);

    int updateByExample(@Param("record") RoadshowRequirement record, @Param("example") RoadshowRequirementExample example);

    int updateByPrimaryKeySelective(RoadshowRequirementWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(RoadshowRequirementWithBLOBs record);

    int updateByPrimaryKey(RoadshowRequirement record);
}